package com.ruoyi.common.pay.wx.domain;

import java.util.Objects;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wjh
 * 2024/3/30
 */
@AllArgsConstructor
@Getter
public enum TransferBatchStatus {
    WAIT_PAY("WAIT_PAY", "待付款确认"),
    ACCEPTED("ACCEPTED", "已受理"),
    PROCESSING("PROCESSING", "转账中"),
    FINISHED("FINISHED", "已完成"),
    CLOSED("CLOSED", "已关闭");


    private final String status;
    private final String msg;

    public static TransferBatchStatus parse(String status) {
        for (TransferBatchStatus obj : TransferBatchStatus.values()) {
            if (Objects.equals(obj.getStatus(), status)) {
                return obj;
            }
        }
        throw new RuntimeException("不存在值为" + status + "的状态");
    }
}