package com.ruoyi.ss.device.service;

import com.ruoyi.common.core.domain.ValidateResult;
import com.ruoyi.ss.device.domain.SmDeviceBO;

import java.util.List;

/**
 * @author wjh
 * 2024/4/30
 */
public interface DeviceValidator {

    /**
     * 设备编号是否存在
     */
    boolean isExistNo(List<String> deviceNos);

    /**
     * 判断设备是否属于指定用户
     * @param deviceId 设备id
     * @param userId 用户id
     */
    boolean isBelong(Long deviceId, Long userId);

    /**
     * 创建前校验
     */
    ValidateResult preCreate(SmDeviceBO data);

    /**
     * 更新前校验
     */
    ValidateResult preUpdate(SmDeviceBO data);

    /**
     * APP更新前校验
     */
    ValidateResult preUpdateByApp(SmDeviceBO data);

    /**
     * 判断SN是否重复
     */
    boolean isRepeatSn(Long deviceId, String sn);

    /**
     * 判断MAC是否重复
     */
    boolean isRepeatMac(Long deviceId, String mac);
}
