package com.ruoyi.ss.record.time.service.impl;

import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.common.enums.LoginType;
import com.ruoyi.ss.device.domain.SmDevice;
import com.ruoyi.ss.record.time.domain.RecordTime;
import com.ruoyi.ss.record.time.domain.enums.OperatorType;
import com.ruoyi.ss.record.time.service.RecordTimeConverter;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * @author wjh
 * 2024/6/6
 */
@Service
public class RecordTimeConverterImpl implements RecordTimeConverter {
    @Override
    public RecordTime toRecordTime(SmDevice device, long seconds, String reason, LoginUser loginUser) {
        RecordTime record = new RecordTime();
        record.setDeviceId(device == null ? null : device.getDeviceId());
        record.setAmount(seconds);
        record.setReason(reason);
        record.setOperatorId(loginUser.getUserId());
        record.setOperatorName(loginUser.getUsername());
        record.setOperatorType(toOperatorType(loginUser.getLoginType()));
        record.setOperatorTime(LocalDateTime.now());

        return record;
    }

    private String toOperatorType(LoginType loginType) {
        return OperatorType.parse(loginType).getType();
    }
}
