package com.ruoyi.ss.refund.domain;

import java.math.BigDecimal;

import com.ruoyi.ss.wxPay.domain.RefundAble;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 退款订单对象 ss_refund
 *
 * @author ruoyi
 * @date 2024-07-09
 */
@Data
public class Refund extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 退款ID */
    private Long refundId;

    /** 退款订单编号 */
    @Excel(name = "退款订单编号")
    private String refundNo;

    /** 原订单ID */
    @Excel(name = "原订单ID")
    private Long billId;

    /** 退款金额（元） */
    @Excel(name = "退款金额", readConverterExp = "元=")
    private BigDecimal amount;

    /** 退款订单状态 */
    @Excel(name = "退款订单状态")
    private String status;

    @ApiModelProperty("退款原因")
    private String reason;

    @ApiModelProperty("商户退款金额")
    private BigDecimal mchAmount;

    @ApiModelProperty("手续费退款金额")
    private BigDecimal serviceAmount;
}
