package com.ruoyi.ss.suit.service.impl;

import com.ruoyi.common.utils.ServiceUtil;
import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.ss.suit.domain.Suit;
import com.ruoyi.ss.suit.domain.SuitQuery;
import com.ruoyi.ss.suit.domain.SuitVo;
import com.ruoyi.ss.suit.domain.dto.SuitCopyDTO;
import com.ruoyi.ss.suit.service.SuitConverter;
import com.ruoyi.ss.suit.service.SuitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * @author wjh
 * 2024/7/15
 */
@Service
public class SuitConverterImpl implements SuitConverter {

    @Autowired
    private SuitService suitService;

    /**
     * 复制，转为PO列表
     *
     * @param dto
     */
    @Override
    public List<Suit> toPoList(SuitCopyDTO dto) {
        List<Suit> list = new ArrayList<>();
        if (dto == null) {
            return list;
        }

        SuitQuery query = new SuitQuery();
        query.setSuitIds(dto.getSuitIds());
        List<SuitVo> suitList = suitService.selectSuitList(query);
        ServiceUtil.assertion(CollectionUtils.isEmptyElement(suitList), "待复制的套餐列表不允许为空");

        for (SuitVo suit : suitList) {
            Suit data = new Suit();
            data.setDeviceId(dto.getDeviceId());
            data.setName(suit.getName());
            data.setValue(suit.getValue());
            data.setPrice(suit.getPrice());
            data.setDescription(suit.getDescription());
            data.setSourceId(suit.getSuitId());
            list.add(data);
        }

        return list;
    }
}
