package com.ruoyi.ss.transactionBill.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 订单退款DTO
 * @author wjh
 * 2024/7/9
 */
@Data
public class BillRefundDTO {

    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不允许为空")
    private Long billId;

    @ApiModelProperty("退款金额")
    @NotNull(message = "退款金额不允许为空")
    @Min(value = 0, message = "退款金额不允许小于0")
    private BigDecimal refundAmount;

}
