package com.ruoyi.ss.user.domain.bo;

import com.ruoyi.common.core.domain.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 更新用户服务费实体类
 * @author wjh
 * 2024/5/13
 */
@Data
public class UserUpdateServiceRateBO {

    @ApiModelProperty("用户ID")
    @NotNull(message = "用户ID不允许为空", groups = ValidGroup.Update.class)
    private Long userId;

    @ApiModelProperty("服务费费率")
    @Range(min = 0, max = 100, message = "服务费费率范围0-100")
    private BigDecimal serviceRate;

    @ApiModelProperty("是否刷新用户所有设备的服务费")
    private Boolean freshDevice;

}
